const colors = require("colors");

const neonColors = {
  // Neon colors
  neonGreen: (text) => `\x1b[38;2;57;255;20m${text}\x1b[0m`,
  neonPink: (text) => `\x1b[38;2;255;20;147m${text}\x1b[0m`,
  neonBlue: (text) => `\x1b[38;2;31;81;255m${text}\x1b[0m`,
  neonOrange: (text) => `\x1b[38;2;255;159;0m${text}\x1b[0m`,
  neonYellow: (text) => `\x1b[38;2;255;255;0m${text}\x1b[0m`,
  neonPurple: (text) => `\x1b[38;2;177;0;255m${text}\x1b[0m`,
  neonCyan: (text) => `\x1b[38;2;0;255;255m${text}\x1b[0m`,
  neonRed: (text) => `\x1b[38;2;255;0;0m${text}\x1b[0m`,
  neonLime: (text) => `\x1b[38;2;0;255;0m${text}\x1b[0m`,
  neonMagenta: (text) => `\x1b[38;2;255;0;255m${text}\x1b[0m`,
  neonTurquoise: (text) => `\x1b[38;2;0;255;204m${text}\x1b[0m`,
  neonSkyBlue: (text) => `\x1b[38;2;0;191;255m${text}\x1b[0m`,
  neonHotPink: (text) => `\x1b[38;2;255;105;180m${text}\x1b[0m`,
  neonGold: (text) => `\x1b[38;2;255;215;0m${text}\x1b[0m`,
  neonLavender: (text) => `\x1b[38;2;230;230;250m${text}\x1b[0m`,
  neonMint: (text) => `\x1b[38;2;189;252;201m${text}\x1b[0m`,
  neonCoral: (text) => `\x1b[38;2;255;127;80m${text}\x1b[0m`,
  neonAqua: (text) => `\x1b[38;2;127;255;212m${text}\x1b[0m`,
  neonFuchsia: (text) => `\x1b[38;2;255;0;128m${text}\x1b[0m`,
  neonSalmon: (text) => `\x1b[38;2;255;160;122m${text}\x1b[0m`,
  neonPeriwinkle: (text) => `\x1b[38;2;204;204;255m${text}\x1b[0m`,
  neonTangerine: (text) => `\x1b[38;2;255;204;0m${text}\x1b[0m`,
  neonElectricBlue: (text) => `\x1b[38;2;125;249;255m${text}\x1b[0m`,
  neonLimeGreen: (text) => `\x1b[38;2;50;205;50m${text}\x1b[0m`,
  neonRaspberry: (text) => `\x1b[38;2;227;11;93m${text}\x1b[0m`,
  neonIndigo: (text) => `\x1b[38;2;75;0;130m${text}\x1b[0m`,
  neonViolet: (text) => `\x1b[38;2;238;130;238m${text}\x1b[0m`,
  neonPeach: (text) => `\x1b[38;2;255;218;185m${text}\x1b[0m`,
  neonTeal: (text) => `\x1b[38;2;0;128;128m${text}\x1b[0m`,
  neonOlive: (text) => `\x1b[38;2;128;128;0m${text}\x1b[0m`,
  neonMaroon: (text) => `\x1b[38;2;128;0;0m${text}\x1b[0m`,
  neonNavy: (text) => `\x1b[38;2;0;0;128m${text}\x1b[0m`,
  neonPlum: (text) => `\x1b[38;2;221;160;221m${text}\x1b[0m`,
};

const metallicColors = {
  // Metallic colors
  gold: (text) => `\x1b[38;2;255;215;0m${text}\x1b[0m`,
  silver: (text) => `\x1b[38;2;192;192;192m${text}\x1b[0m`,
  bronze: (text) => `\x1b[38;2;205;127;50m${text}\x1b[0m`,
  copper: (text) => `\x1b[38;2;184;115;51m${text}\x1b[0m`,
  brass: (text) => `\x1b[38;2;181;166;66m${text}\x1b[0m`,
  steel: (text) => `\x1b[38;2;138;149;151m${text}\x1b[0m`,
  titanium: (text) => `\x1b[38;2;135;134;129m${text}\x1b[0m`,
  platinum: (text) => `\x1b[38;2;229;228;226m${text}\x1b[0m`,
  pewter: (text) => `\x1b[38;2;132;135;137m${text}\x1b[0m`,
  gunmetal: (text) => `\x1b[38;2;42;52;57m${text}\x1b[0m`,
  chrome: (text) => `\x1b[38;2;220;220;220m${text}\x1b[0m`,
  nickel: (text) => `\x1b[38;2;184;184;184m${text}\x1b[0m`,
  aluminum: (text) => `\x1b[38;2;211;211;211m${text}\x1b[0m`,
  tin: (text) => `\x1b[38;2;210;210;210m${text}\x1b[0m`,
  zinc: (text) => `\x1b[38;2;235;235;235m${text}\x1b[0m`,
  lead: (text) => `\x1b[38;2;159;159;159m${text}\x1b[0m`,
  iron: (text) => `\x1b[38;2;155;155;155m${text}\x1b[0m`,
  cobalt: (text) => `\x1b[38;2;0;71;171m${text}\x1b[0m`,
  mercury: (text) => `\x1b[38;2;230;230;230m${text}\x1b[0m`,
  palladium: (text) => `\x1b[38;2;197;190;183m${text}\x1b[0m`,
  rhodium: (text) => `\x1b[38;2;244;244;244m${text}\x1b[0m`,
  osmium: (text) => `\x1b[38;2;152;152;152m${text}\x1b[0m`,
  iridium: (text) => `\x1b[38;2;233;233;233m${text}\x1b[0m`,
  ruthenium: (text) => `\x1b[38;2;207;207;207m${text}\x1b[0m`,
  rhenium: (text) => `\x1b[38;2;190;190;190m${text}\x1b[0m`,
  tungsten: (text) => `\x1b[38;2;85;85;85m${text}\x1b[0m`,
  molybdenum: (text) => `\x1b[38;2;170;170;170m${text}\x1b[0m`,
  tantalum: (text) => `\x1b[38;2;180;180;180m${text}\x1b[0m`,
  niobium: (text) => `\x1b[38;2;200;200;200m${text}\x1b[0m`,
  zirconium: (text) => `\x1b[38;2;215;215;215m${text}\x1b[0m`,
  vanadium: (text) => `\x1b[38;2;165;165;165m${text}\x1b[0m`,
};

const colorCombinations = {
  // Color combinations
  christmasTheme: (text) => colors.red(colors.bgGreen(text)),
  halloweenTheme: (text) => colors.orange(colors.bgBlack(text)),
  easterTheme: (text) => colors.magenta(colors.bgYellow(text)),
  valentinesTheme: (text) => colors.magenta(colors.bgRed(text)),
  stPatricksTheme: (text) => colors.green(colors.bgWhite(text)),
  independenceDayTheme: (text) => colors.blue(colors.bgRed(colors.white(text))),
  autumnTheme: (text) => colors.yellow(colors.bgRed(text)),
  winterTheme: (text) => colors.cyan(colors.bgWhite(text)),
  springTheme: (text) => colors.green(colors.bgMagenta(text)),
  summerTheme: (text) => colors.yellow(colors.bgCyan(text)),
  oceanTheme: (text) => colors.blue(colors.bgCyan(text)),
  forestTheme: (text) => colors.green(colors.bgBlack(text)),
  desertTheme: (text) => colors.yellow(colors.bgRed(text)),
  galaxyTheme: (text) => colors.magenta(colors.bgBlack(colors.white(text))),
  rainbowTheme: (text) =>
    colors.red(
      colors.bgYellow(colors.blue(colors.green(colors.magenta(text))))
    ),
  sunsetTheme: (text) => colors.red(colors.bgYellow(text)),
  tropicalTheme: (text) => colors.green(colors.bgCyan(colors.yellow(text))),
  arcticTheme: (text) => colors.white(colors.bgBlue(text)),
  lavenderFieldTheme: (text) => colors.magenta(colors.bgWhite(text)),
  autumnForestTheme: (text) => colors.yellow(colors.bgGreen(colors.red(text))),
  beachTheme: (text) => colors.blue(colors.bgYellow(colors.cyan(text))),
  fireworksTheme: (text) =>
    colors.red(colors.bgBlack(colors.yellow(colors.blue(text)))),
  candyTheme: (text) => colors.magenta(colors.bgWhite(colors.cyan(text))),
  neonCityTheme: (text) => colors.cyan(colors.bgMagenta(colors.yellow(text))),
  vintageTheme: (text) => colors.yellow(colors.bgBlack(colors.red(text))),
};

module.exports = {
  ...neonColors,
  ...metallicColors,
  ...colorCombinations,
};
